@mixin button($color) {
  border: 0;
  background-color: $color;
  box-shadow: 0 0.1rem 0.2rem 0.05rem rgba($color,.5);
  transition: none;
  &:hover {
    background-color: lighten($color, 10%);
  }
  &:focus {
    box-shadow: 0 0.1rem 0.2rem 0.05rem rgba($color,.5)
  }
  &:not(:disabled):not(.disabled):active {
    background-color: lighten($color, 15%);
    box-shadow: 0 0.08rem 0.15rem 0.05rem rgba($color,.5)
  }
  &:not(:disabled):not(.disabled):active:focus {
    background-color: lighten($color, 15%);
    box-shadow: 0 0.08rem 0.15rem 0.05rem rgba($color,.5)
  }
}